# -*- coding: utf-8 -*-
# Generated by Django 1.9 on 2018-01-14 11:42
from __future__ import unicode_literals

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('mainApp', '0073_auto_20180114_1023'),
    ]

    operations = [
        migrations.CreateModel(
            name='SeriesPurchases',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cost', models.FloatField(validators=[django.core.validators.MinValueValidator(1)])),
                ('series', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Book')),
                ('shipment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Shipment')),
            ],
            options={
                'verbose_name': 'Series Purchase',
            },
        ),
    ]
